Intel® Enhanced Privacy ID SDK 2.0.0

Data Structures | Functions
commitment.h File Reference

Commitment hash interface. More...

`#include "epid/common/errors.h"`
`#include "epid/common/types.h"`
`#include "epid/common/math/ecgroup.h"`
`#include "epid/common/math/finitefield.h"`

## Data Structures
struct | CommitValues
| Storage for values to create commitment in Sign and Verify algorithms. More...

## Functions
EpidStatus | SetKeySpecificCommitValues (GroupPubKey const *pub_key, CommitValues *values)
| Set group public key related fields from CommitValues structure. More...
EpidStatus | SetCalculatedCommitValues (G1ElemStr const *B, G1ElemStr const *K, G1ElemStr const *T, EcPoint const *R1, EcGroup *G1, FfElement const *R2, FiniteField *GT, CommitValues *values)
| Set CommitValues structure fields calculated in algorithm. More...
EpidStatus | CalculateCommitmentHash (CommitValues const *values, FiniteField *Fp, HashAlg hash_alg, void const *msg, size_t msg_len, FfElement *c)
| Calculate Fp.hash(t3 || m) for Sign and Verfiy algorithms. More...

## Detailed Description

Commitment hash interface.